VRSpace.org - Feature #87

3d text area component
11/05/2021 08:45 PM - Josip Almasi

Status: Closed Start date: 11/05/2021
Priority: Normal Due date:

Assignee: Josip Almasi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Babylon advanced dynamic texture is texture, and overlaying transparency does not work well.
Need a dedicated component like one that is used to display chat in avatar.js. Splitting long lines etc.

History

#1 - 12/04/2021 04:32 PM - Josip Almasi
- Status changed from New to In Progress

- Assignee set to Josip Almasi

#2 - 12/13/2021 01:19 PM - Josip Almasi

- Status changed from In Progress to Resolved

TextWriter, babylon/ui/text-writer.js

#3 - 01/21/2022 11:39 AM - Josip Almasi

this does work but is quite slow, especially on low-end devices (oculus quest)

we still need advanced dynamic texture as fallback

#4 - 03/28/2022 09:56 PM - Josip Almasi

- Status changed from Resolved to Closed
